Page 1 of 1

Getting "abort, retry, ignore" on install if previous version of software is running

Posted: Sat Aug 19, 2017 7:16 pm
by jumper77
Is there a way to catch the "unable to extract file..." if a previous version of the software is running? I would like to be able to close the previous version of the application and then continue with the install.

Any ideas on how to do this?

Any help greatly appreciated

Re: Getting "abort, retry, ignore" on install if previous version of software is running

Posted: Sat Aug 26, 2017 1:06 am
by Soner
Hello,

what you can do is to check whether the setup is running in your application using a proper library or the Windows API (see https://stackoverflow.com/questions/159 ... is-running for an example).